%define upstream_name    Filesys-DiskSpace
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Filesys-DiskSpace displays information on a file system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This routine displays information on a file system 
such as its type, the amount of disk space occupied, 
the total disk space and the number of inodes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc MYMETA.json MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-3.mga9
+ Revision: 1810959
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.50.0-2.mga8
+ Revision: 1519245
- Mageia 8 Mass Rebuild

* Mon Oct 08 2018 bcornec <bcornec> 0.50.0-1.mga7
+ Revision: 1318585
- Import perl module Filesys-DiskSpace
- Created package structure for perl-Filesys-DiskSpace.

